Get Upgrade Plan

Get Upgrade Plan

Get an upgrade plan with optional component filtering by status and target version

Request
URI
GET
https://vcf.broadcom.com/fleet-lcm/v1/upgrade-plans/{planId}
COPY
Path Parameters
string
planId
Required

Upgrade Plan Id

Query Parameters
integer
componentsPageNumber
Optional

Components Page Number

integer
componentsPageSize
Optional

Components Page Size. Maximum allowed is 100

string of array
componentSddcLcmId
Optional

Filter components by SDDC LCM ID. Multiple values can be provided as comma-separated list.

componentStatus
Optional

Filter components by status. Multiple values can be provided as comma-separated list.

string of array
componentTargetVersion
Optional

Filter components by target version(allows usage of partial matching). Multiple values can be provided as comma-separated list. Each filter value will match any component whose target version starts with the filter value (e.g., '9.1' matches '9.1.0.0', '9.1.1.0', etc.).

string of array
componentCurrentVersion
Optional

Filter components by current version(allows usage of partial matching). Multiple values can be provided as comma-separated list. Each filter value will match any component whose current version starts with the filter value (e.g., '9.1' matches '9.1.0.0', '9.1.1.0', etc.).

string of array
componentPublicName
Optional

Filter components by public name using partial matching (case-insensitive). Multiple values can be provided as comma-separated list. Each filter value will match any component whose public name contains the filter value.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UpgradePlan of type(s) application/json
This response body class contains all of the following: UpgradePlanSummary
{
    "components": {
        "elements": [
            {
                "precheck": {
                    "createTime": "2000-01-23T04:56:07.000Z",
                    "taskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "planExecutionTaskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "status": null
                },
                "upgrade": {
                    "createTime": "2000-01-23T04:56:07.000Z",
                    "taskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "planExecutionTaskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "status": "PENDING"
                },
                "dependsOn": [
                    "dependsOn",
                    "dependsOn"
                ],
                "fqdn": "fqdn",
                "type": "OPS",
                "version": "version",
                "targetVersion": "targetVersion",
                "userInputSpec": "{}",
                "publicName": "publicName",
                "sddcGroupId": "sddcGroupId",
                "messages": [
                    {
                        "level": "INFO",
                        "message": {
                            "args": {
                                "cloudProxyFqdn": "cloudProxy1.vsphere.local"
                            },
                            "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                            "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                            "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
                        },
                        "timestamp": "2000-01-23T04:56:07.000Z"
                    },
                    {
                        "level": "INFO",
                        "message": {
                            "args": {
                                "cloudProxyFqdn": "cloudProxy1.vsphere.local"
                            },
                            "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                            "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                            "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
                        },
                        "timestamp": "2000-01-23T04:56:07.000Z"
                    }
                ],
                "id": "id",
                "sddcGroupName": "sddcGroupName",
                "status": "ELIGIBLE"
            },
            {
                "precheck": {
                    "createTime": "2000-01-23T04:56:07.000Z",
                    "taskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "planExecutionTaskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "status": null
                },
                "upgrade": {
                    "createTime": "2000-01-23T04:56:07.000Z",
                    "taskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "planExecutionTaskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
                    "status": "PENDING"
                },
                "dependsOn": [
                    "dependsOn",
                    "dependsOn"
                ],
                "fqdn": "fqdn",
                "type": "OPS",
                "version": "version",
                "targetVersion": "targetVersion",
                "userInputSpec": "{}",
                "publicName": "publicName",
                "sddcGroupId": "sddcGroupId",
                "messages": [
                    {
                        "level": "INFO",
                        "message": {
                            "args": {
                                "cloudProxyFqdn": "cloudProxy1.vsphere.local"
                            },
                            "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                            "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                            "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
                        },
                        "timestamp": "2000-01-23T04:56:07.000Z"
                    },
                    {
                        "level": "INFO",
                        "message": {
                            "args": {
                                "cloudProxyFqdn": "cloudProxy1.vsphere.local"
                            },
                            "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                            "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
                            "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
                        },
                        "timestamp": "2000-01-23T04:56:07.000Z"
                    }
                ],
                "id": "id",
                "sddcGroupName": "sddcGroupName",
                "status": "ELIGIBLE"
            }
        ],
        "pageMetadata": {
            "pageNumber": 5,
            "totalPages": 7,
            "pageSize": 5,
            "totalElements": 2
        }
    },
    "executions": [
        {
            "createTime": "2000-01-23T04:56:07.000Z",
            "type": "UPGRADE",
            "taskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "status": "status"
        },
        {
            "createTime": "2000-01-23T04:56:07.000Z",
            "type": "UPGRADE",
            "taskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "status": "status"
        }
    ]
}
array of object
executions
Optional

Defines an upgrade plan execution.

object
components
Optional

Page of upgrade plan components


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


404

The specified resource was not found

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal Server Error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/fleet-lcm/v1/upgrade-plans/{planId}